ellipse in sketcher

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: ellipse in sketcher

Postby NormandC » Thu May 22, 2014 12:00 am

Hello,
bejant wrote:Go into the Draft Workbench and make and ellipse, in the Data tab at the bottom left of the screen change the minor and major values to suit your needs. Select the ellipse in the tree view and then click the Bi-Directionally Convert Between Draft and Sketch Objects tool:
Image
As wmayer said, the sketcher does not support ellipses yet (I believe there's a feature request for it on the bug tracker).

So what you are suggesting here does not work: it creates an empty sketch. When you padded, the Draft Ellipse was actually the object selected, not the sketch.
bejant wrote:I just found out an ellipse created in the Draft WB can be directly Padded in the Part Design WB without converting to a Sketch.
Which you can see in the first file you posted.

Part Design supports any Draft object that creates a closed profile. Not only that: click on the face of an object (that may or may not be created with a Part Design feature), then select a Draft tool like circle, rectangle, etc.: the working plane is automatically set on that face, and the Draft object is mapped to the face, so you can use subtractive Part Design features like Pocket.
bejant wrote:Being able to make an inside fillet on an outside corner by inputting a negative value would be a nice FreeCAD feature.
If FreeCAD were to get such a feature, it would have something commercial CAD software don't. None of the CAD packages I've worked with can create a negative fillet on an edge.

There's another way to create that negative fillet: sweep a circle along the top edge of the ellipse pad, then apply a boolean cut between the pad and the sweep.

I first created a sketch on the XZ plane, centered a circle on the origin, and closed the sketch. Then, using Draft Move, I placed the sketch at the right quadrant of the padded ellipse. Then I created a sweep using the sketch as profile, and the padded ellipse top edge as sweep path.
FC_negative_fillet_using_sweep.png
FC_negative_fillet_using_sweep.png (20.97 KiB) Viewed 1380 times
Of course, the disadvantage of this method is that the sweep profile is not linked to the padded ellipse. If you change the ellipse dimensions, the circle placement won't update with it, you will have to do so manually.
Attachments
m0s1n_ellipse_platform_normandc1.fcstd
(53.08 KiB) Downloaded 28 times
User avatar
quick61
Posts: 3793
Joined: Sat Aug 24, 2013 2:49 am
Location: u.S.A.

Re: ellipse in sketcher

Postby quick61 » Thu May 22, 2014 12:14 am

If FreeCAD were to get such a feature, it would have something commercial CAD software don't. None of the CAD packages I've worked with can create a negative fillet on an edge.
Now there is an incentive, (to at least look into it), if I ever heard one. ;)
This post made with 0.0% Micro$oft products - GOT LINUX?
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: ellipse in sketcher

Postby NormandC » Thu May 22, 2014 12:22 am

Heh. Who's making the feature request? :D

Actually this could be part of a wider set of tools that could create rabbets and maybe even roman ogees?

Apparently this negative fillet is called a cove.

Image
https://en.wikipedia.org/wiki/Router_%2 ... le_cutters
User avatar
bejant
Posts: 5948
Joined: Thu Jul 11, 2013 3:06 pm

Re: ellipse in sketcher

Postby bejant » Thu May 22, 2014 1:20 am

normandc wrote:As wmayer said, the sketcher does not support ellipses yet
But the Part Design WB does!
normandc wrote:(I believe there's a feature request for it on the bug tracker)
I remember it too; issue #1297
normandc wrote:When you padded, the Draft Ellipse was actually the object selected, not the sketch.
Yup, I just didn't know what I was doing. Sometimes ignorance really is bliss!
normandc wrote:Part Design supports any Draft object that creates a closed profile.
It seems the caveat is that there must first be a Sketch (on any plane) before the ellipse can be Padded? If The Draft Ellipse is the only object in the document it can't be Padded.
User avatar
NormandC
Posts: 18534
Joined: Sat Feb 06, 2010 9:52 pm
Location: Québec, Canada

Re: ellipse in sketcher

Postby NormandC » Thu May 22, 2014 1:27 am

bejant wrote:It seems the caveat is that there must first be a Sketch (on any plane) before the ellipse can be Padded? If The Draft Ellipse is the only object in the document it can't be Padded.
In the file I posted, I first created a Draft Ellipse, then padded it. There was no existing sketch at the time.

Draft Ellipse has been recognized by the Part Design WB for a long time.

My FreeCAD info:
OS: Ubuntu 12.04.4 LTS
Platform: 64-bit
Version: 0.14.3627 (Git)
Branch: master
Hash: e587fe2dba67d49b9128fd1aa42ac7e43716ae94
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.7.0
User avatar
yorik
Site Admin
Posts: 11574
Joined: Tue Feb 17, 2009 9:16 pm
Location: São Paulo, Brazil
Contact:

Re: ellipse in sketcher

Postby yorik » Thu May 22, 2014 4:39 pm

Most PartDesign operations takes as input all objects derived from the Part::Part2DObject. That includes sketches, some Part primitives and all Draft objects. You can always check from python with:

Code: Select all

App.ActiveDocument.myObjectName.isDerivedFrom("Part::Part2DObject")
Norm this is a cool little table... Indeed it would be cool to have a tool that can produce a range of profilings like that... The day I'll design a neo-classic fake-greek-temple house, I'll use the roman ogee and the beading everywhere :geek: